<div class="map-container">
    <div class="map-frame">
        <div id="map">
            <div class="menu-box" (mouseover)="markerService.blockSetMarker = true"
                 (mouseleave)="markerService.blockSetMarker = false"
                 (click)="menuService.open = !menuService.open; markerService.map = markerService.map">
                <button mat-mini-fab color="primary">
                    <mat-icon>{{menuService.open ? 'menu' : 'menu_open'}}</mat-icon>
                </button>
            </div>
        </div>
    </div>
</div>
